import React, { useMemo } from 'react'
import { TimePicker } from 'antd'
import moment from 'moment'

const format = 'HH:mm:ss'

const Time = ({ value, onChange, schema }) => {

  // console.log(value, onChange, schema)

  const { presetValue } = schema

  const valueShow = useMemo(() => {
    // console.log('时间改变', moment(value || presetValue))
    // return (value || presetValue) ? moment(value || presetValue) : null
    return (value || presetValue) ? moment(value || presetValue) : null
  }, [presetValue, value])

  const timeChange = (time, timeStr) => {
    console.log(time, timeStr)
  }

  console.log('valueShow', valueShow)

  return (
    <TimePicker value={valueShow} onChange={timeChange} format={format} />
  )

}

export default Time