import React, { useState, useEffect, useMemo } from 'react'
import { DatePicker, Input } from 'antd'
import moment from 'moment'
import locale from 'antd/lib/date-picker/locale/zh_CN'

const DateSelect = (props) => {

  const { onChange } = props

  const { format } = props.addons.formData

  const dateChange = (date, dateStr) => {
    onChange(dateStr)
  }

  return (
    <DatePicker
      picker={format}
      // value={valueShow}
      onChange={dateChange}
      showTime={format === 'dateTime'}
      style={{ width: '100%' }}
      locale={locale}
    />
  )

}

export default DateSelect
